Subject: problem still persist

From: Tomáš Čech <[email-masked]>
Date: Thu, 2 Apr 2015 17:24:49 +0200

I'm afraid I can reproduce it.

I'm at revision bfe3c6857251c1fff24317da602b9cd762c1c112, running guix from
GIT through pre-inst-env.

I was able to remove all my local modifications so no GUIX_PACKAGE_PATH is in
place.

----------------------%<----my-config.scm----begin---->%-------------------
(use-modules (gnu))
(use-package-modules
  ;; generic guix packages modules
  admin autotools avahi base bash commencement cryptsetup curl
  emacs enlightenment gdb glib gnutls gnuzilla grub links linux lsh mail
  mc patchutils slim synergy texinfo version-control video wget wicd
  xfce xorg dwm avahi ssh xorg vpn openssl)
(use-service-modules
  avahi base dbus networking ssh xorg)

(operating-system
  (host-name "venom")
  (timezone "Europe/Prague")
  (locale "cs_CZ.utf8")
  (bootloader (grub-configuration
	      (device "/dev/sda")
	      (menu-entries
	       (list
		(menu-entry
		 (label "Gentoo")
		 (linux "/vmlinuz-gentoo")
		 (linux-arguments (list
				   "root=/dev/venom/gentoo"
				   "init=/usr/lib/systemd/systemd"))
		 (initrd "/initramfs-gentoo")
		 )))))
  (file-systems (append (list (file-system
			      (device "/dev/sda3") ; or partition label
			      (mount-point "/")
			      (type "ext4"))
;;			     (file-system
;;			      (device "/dev/venom/home")
;;			      (mount-point "/home")
;;			      (type "ext4"))
			     )
		       %base-file-systems))
  (swap-devices '("/dev/sda2"))
  (users (list (user-account
	       (name "tcech")
	       (uid 1000) (group "users")
	       (comment "Tomas Cech")
	       (password "password")
	       (home-directory "/home/tcech"))))
  (packages
   (append
    (list
     ;; absolutely necessary
     emacs lvm2 mc bash texinfo
     grub nss-mdns procps cryptsetup alsa-utils
     
     ;; networking
     iw iproute wicd links wpa-supplicant dbus
     vpnc openconnect openssl lsh
     
     ;; minimal Xorg
     slim xrandr xterm slock
     
     ;; mail
     mutt mu gnutls

     ;; web
     icecat wget curl
     
     ;; enlightenment
     terminology enlightenment

     ;; xfce
     xfce

     ;; other X stuff
     synergy
     ;; multimedia
     mplayer mplayer2 vlc
     ;; mpv
     ;; development
     git magit subversion cvs rcs quilt patchutils patch gcc-toolchain-4.9 gnu-make
     automake autoconf gdb
     strace ltrace

     ;; other
     htop
     ;; not packaged yet
     ;; isync cmus cscope ctags the-silver-searcher
     )
    %base-packages))
  (services
   (append
    (list
     (lsh-service #:port-number 22 #:root-login? #t #:initialize? #t)
     (slim-service)
     (wicd-service)
     (avahi-service)
     (dbus-service (list avahi wicd))
     (mingetty-service "ttyS0"))
    %base-services))
  )
----------------------%<----my-config.scm----end------>%-------------------

As I lost ability to boot after repartitioning so I run it from chroot from
openSUSE. Guix daemon is started from chroot.

Failure is happening with:

$ guix system reconfigure my-config.scm
substitute-binary: updating list of substitutes from 'http://hydra.gnu.org'...
The following derivations will be built:
    /gnu/store/igkyyxgpyvizzpkygji34dkyiivrbqbj-system.drv
    /gnu/store/khgv41ycwz0vg6sadgzrbrpsl93mii5c-grub.cfg.drv
    /gnu/store/j1s6vh555l6bjmf343wf9f1iyzdzwnv8-activate.drv
    /gnu/store/mx0rmnfqi998lpdv8iaywj66wdjnhmsy-boot.drv
    /gnu/store/wnj7qwhn1i7akk6crkg6s0diksi3lhyr-pam.d.drv
    /gnu/store/7dm59cc020dfma43b24pilrp98zgsbs8-etc.drv
Backtrace:
In ice-9/boot-9.scm:
  157: 10 [catch #t #<catch-closure 1143920> ...]
In unknown file:
    ?: 9 [apply-smob/1 #<catch-closure 1143920>]
In ice-9/boot-9.scm:
   63: 8 [call-with-prompt prompt0 ...]
In ice-9/eval.scm:
  432: 7 [eval # #]
In ice-9/boot-9.scm:
2401: 6 [save-module-excursion #<procedure 1160980 at ice-9/boot-9.scm:4045:3 ()>]
4050: 5 [#<procedure 1160980 at ice-9/boot-9.scm:4045:3 ()>]
1724: 4 [%start-stack load-stack ...]
1729: 3 [#<procedure 1176f00 ()>]
In unknown file:
    ?: 2 [primitive-load "/gnu/store/b027n4gx00y19bpyi1h5hasvnpp95ff4-pam.d-builder"]
In srfi/srfi-1.scm:
  616: 1 [for-each #<procedure 1217de0 at ice-9/eval.scm:416:20 (a)> (# # # # ...)]
In unknown file:
    ?: 0 [symlink "/gnu/store/z95z25d73kjza99s3w95lrdsiqlcdv0a-login" ...]

ERROR: In procedure symlink:
ERROR: In procedure symlink: File exists
builder for `/gnu/store/wnj7qwhn1i7akk6crkg6s0diksi3lhyr-pam.d.drv' failed with exit code 1
cannot build derivation `/gnu/store/7dm59cc020dfma43b24pilrp98zgsbs8-etc.drv': 1 dependencies couldn't be built
cannot build derivation `/gnu/store/igkyyxgpyvizzpkygji34dkyiivrbqbj-system.drv': 1 dependencies couldn't be built
killing process 7202
guix system: error: build failed: build of `/gnu/store/igkyyxgpyvizzpkygji34dkyiivrbqbj-system.drv' failed

It seems to be identical to the report. Furthermore - `make clean' in my GIT
repository is not helping so right now I'm not sure how to progress.

I'd appreciate if you have any other hints how to progress or what else to
wipe.

S_W